Subject: Re: [PATCH 0/3] bonding: 3 fixes for 2.6.24

From: Jay Vosburgh <[email-masked]>
Date: Tue, 08 Jan 2008 23:58:34 -0800

Krzysztof Oledzki <[email-masked]> wrote:

>Fine. Just let you know that someone test your patches and everything
>works, except mentioned problem.

	And I appreciate it; I just wanted to make sure our many fans
following along at home didn't misunderstand.

	Could you let me know if the patch below make the lockdep
warning go away?  This applies on top of the previous three, although it
should be trivial to do by hand.

	I'm still checking to make sure this is safe with regard to
mutexing the bonding structures, but it would be good to know if it
eliminates the warning.

	-J

---
	-Jay Vosburgh, IBM Linux Technology Center, [email-masked]

diff --git a/drivers/net/bonding/bond_main.c b/drivers/net/bonding/bond_main.c
index 77d004d..1baaadc 100644
--- a/drivers/net/bonding/bond_main.c
+++ b/drivers/net/bonding/bond_main.c
@@ -3937,8 +3937,6 @@ static void bond_set_multicast_list(struct net_device *bond_dev)
 	struct bonding *bond = bond_dev->priv;
 	struct dev_mc_list *dmi;
 
-	write_lock_bh(&bond->lock);
-
 	/*
 	 * Do promisc before checking multicast_mode
 	 */
@@ -3978,8 +3976,6 @@ static void bond_set_multicast_list(struct net_device *bond_dev)
 	/* save master's multicast list */
 	bond_mc_list_destroy(bond);
 	bond_mc_list_copy(bond_dev->mc_list, bond, GFP_ATOMIC);
-
-	write_unlock_bh(&bond->lock);
 }
 
 /*